﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using System.IO;
using System.Net;
using System.Text.RegularExpressions;
using Ionic.Zip;
using FuzzyStrings;
using System.Reflection;

namespace MTGRenamer
{
    public class MagicAlbumDeck : Deck
    {
        #region Properties
        public static string defaultExtension = "mad";
        protected override string DefaultExtension
        {
            get
            {
                return defaultExtension;
            }
        }

        public override Deck.Types DeckType
        {
            get
            {
                //TODO : FInd out the format of the Magic Album Deck and Reenable it
                Types type = Types.Wagic;
                //type = Types.MagicAlbum;
                return type;
            }
        }
        #endregion

        #region Constructors
        public MagicAlbumDeck(string path)
            : base(path)
        {
        }
        public MagicAlbumDeck(Deck source)
            : base(source)
        {
        }
        #endregion

        #region Methods
        protected override void LoadFormat(string line, out string name, out string SetID, out string QtyString, out bool SideBoard)
        {
            throw new NotImplementedException();
        }

        protected override void SaveFormat(ref StringBuilder sb, DeckCard card)
        {
            //Deck
            sb.AppendFormat("{0}\t{1}\t{2}", "1", card.Quantity.ToString(), card.ID).AppendLine();
        }
        #endregion
    }
}
