﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HtmlAgilityPack;
using System.Web;
using System.Text.RegularExpressions;

namespace MTGRenamer
{
    internal class TokenGrabber
    {
        private static string site = @"http://magiccards.info";
        private static string Address = site + "/extras.html";
        List<string> setID = new List<string>();

        public IEnumerable<Token> GrabList()
        {
            HtmlWeb web = new HtmlWeb();
            HtmlDocument doc = web.Load(Address);
            var SetsID = doc.DocumentNode.SelectNodes("/html/body/a");
            List<Token> TokensList = new List<Token>();

            foreach (HtmlNode item in SetsID)
            {
                string set = item.NextSibling.InnerText;
                var TokenAddress = item.SelectSingleNode("following::table").SelectNodes("tr/td/a[contains(@href,'token')]");

                if (TokenAddress != null)
                {
                    foreach (HtmlNode item2 in TokenAddress)
                    {
                        string number = item2.ParentNode.ParentNode.SelectNodes("td")[2].InnerText;
                        string name = Regex.Match(item2.InnerText, @"^[^*(\d]+").Value.TrimEnd();
                        string power = Regex.Match(item2.InnerText, "./.").Value;
                        string Art = Regex.Match(item2.InnerText, @".*(\d).*\d{1,2}/\d{1,2}").Groups[1].Value;//Number present
                        string Art2 = Regex.Match(number, @"\d{1,2}?([^\d\s])/\d{1,2}?").Groups[1].Value;//No Number Present, put a letter
                        string altArt = string.IsNullOrEmpty(Art2) ? Art : Art2;

                        if (name.ToLower() == "poison counter")
                            continue;

                        string imagePath = item2.Attributes.FirstOrDefault().Value;
                        imagePath = imagePath.Replace("extra", "extras");
                        imagePath = imagePath.Replace(".html", ".jpg");
                        imagePath = site + imagePath;
                        Token newToken = new Token(name, set, altArt, !string.IsNullOrEmpty(Art2), imagePath) { Power = power };

                        if (!TokensList.Contains(newToken))
                            TokensList.Add(newToken);
                    }
                }
            }

            return TokensList;
        }
    }
}
